qx.Class.define("pf.ui.DialogWindow",
{
    extend: qx.ui.window.Window,

    construct: function(caption, icon) {
        this.base(arguments, caption, icon);
        
        this.setModal(true);
        this.setShowMinimize(false);
        this.setShowMaximize(false);
        this.setResizable(false);

        this.addListener("keypress", function(ev) {
                if (ev.getKeyIdentifier() == "Escape") {
                    this.close()
                }
            });

        this.addListener("appear", function(e) {
                this.center();
            });
    },
    
    members:
    {
        center: function()
        {
            var parent = this.getLayoutParent();
            var pel = parent.getContentElement().getDomElement();
            var el = this.getContentElement().getDomElement();
            var left = parseInt((qx.bom.element.Dimension.getWidth(pel) -
                       qx.bom.element.Dimension.getWidth(el))/2);
            var top  = parseInt((qx.bom.element.Dimension.getHeight(pel) -
                       qx.bom.element.Dimension.getHeight(el))/3);
            this.moveTo(left, top);
        }
    }
});  
